libzypp 17.37.10

zypp::solver::detail::HelixResolvable Class Reference

Creates a file in helix format which includes all available or installed packages,patches,selections.... More...

Inheritance diagram for zypp::solver::detail::HelixResolvable:

## Public Member Functions
| HelixResolvable (const std::string &path)
| ~HelixResolvable ()
void | addResolvable (const PoolItem item)
std::string | filename ()
Public Member Functions inherited from zypp::base::ReferenceCounted
| ReferenceCounted ()
| Default ctor.
| ReferenceCounted (const ReferenceCounted &rhs)
| Copy ctor.
virtual | ~ReferenceCounted ()
| Dtor.
ReferenceCounted & | operator= (const ReferenceCounted &)
| Assignment.
unsigned | refCount () const
| Return reference counter value.
void | ref () const
| Add a reference.
void | unref () const
| Release a reference.

## Private Attributes
std::string | dumpFile
ofgzstream * | file

## Additional Inherited Members
Static Public Member Functions inherited from zypp::base::ReferenceCounted
static void | add_ref (const ReferenceCounted *ptr_r)
| Called by zypp::intrusive_ptr to add a reference.
static void | release (const ReferenceCounted *ptr_r)
| Called by zypp::intrusive_ptr to add a reference.
Protected Member Functions inherited from zypp::base::ReferenceCounted
virtual std::ostream & | dumpOn (std::ostream &str) const
| Overload to realize std::ostream & operator<<.
virtual void | ref_to (unsigned) const
| Trigger derived classes after refCount was increased.
virtual void | unref_to (unsigned) const
| Trigger derived classes after refCount was decreased.
Related Symbols inherited from zypp::base::ReferenceCounted
void | intrusive_ptr_add_ref (const ReferenceCounted *ptr_r)
| intrusive_ptr hook to add_ref.
void | intrusive_ptr_release (const ReferenceCounted *ptr_r)
| intrusive_ptr hook to release.
std::ostream & | operator<< (std::ostream &str, const ReferenceCounted &obj)
| Stream output.

## Detailed Description

Creates a file in helix format which includes all available or installed packages,patches,selections....

Definition at line 229 of file Testcase_helix.cc.

## Constructor & Destructor Documentation

## ◆ HelixResolvable()

zypp::solver::detail::HelixResolvable::HelixResolvable | ( | const std::string & | path | ) |

Definition at line 251 of file Testcase_helix.cc.

## ◆ ~HelixResolvable()

zypp::solver::detail::HelixResolvable::~HelixResolvable | ( |  | ) |

Definition at line 262 of file Testcase_helix.cc.

## Member Function Documentation

## ◆ addResolvable()

void zypp::solver::detail::HelixResolvable::addResolvable | ( | const PoolItem | item | ) |
| inline

Definition at line 239 of file Testcase_helix.cc.

## ◆ filename()

std::string zypp::solver::detail::HelixResolvable::filename | ( |  | ) |
| inline

Definition at line 242 of file Testcase_helix.cc.

## Member Data Documentation

## ◆ dumpFile

std::string zypp::solver::detail::HelixResolvable::dumpFile
| private

Definition at line 232 of file Testcase_helix.cc.

## ◆ file

ofgzstream* zypp::solver::detail::HelixResolvable::file
| private

Definition at line 233 of file Testcase_helix.cc.

The documentation for this class was generated from the following file:

- zypp/solver/detail/Testcase_helix.cc